nRF51 SDK: Data Fields

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- ediv : ble_gap_master_id_t
- ediv_rand : ble_gap_sec_keys_t
- enc : ble_gap_sec_kdist_t
- enc_info : ble_gap_evt_sec_info_request_t , ble_gap_evt_auth_status_t::periph_keys_t , ble_gap_enc_key_t
- encoded_ctrl_rsp : ble_sc_ctrlpt_resp_t
- encr_key_size : ble_gap_conn_sec_t
- end_handle : ble_gattc_handle_range_t
- err_code : ble_error_log_data_t , cmd_response_t , ble_db_discovery_evt_t
- error_code : app_uart_evt_t , ble_ans_c_evt_t
- error_communication : app_uart_evt_t
- error_handle : ble_gattc_evt_t
- error_handler : ble_cs_ctrlpt_init_t , ble_sc_ctrlpt_s , ble_bondmngr_init_t , ble_db_discovery_init_t , ble_conn_params_init_t , ble_ans_c_s , ble_ans_c_init_t , ble_cscs_init_t , ble_dfu_s , ble_dfu_init_t , ble_gls_init_t , ble_gls_s , ble_hids_init_t , ble_hids_s , ble_ias_c_s , ble_ias_c_init_t , ble_lls_init_t , ble_lls_s
- error_src : ble_gap_evt_auth_status_t
- event : ant_evt_t , antplus_event_return_t , antfs_event_return_t
- event_count : bp_page16_data_t
- event_id : dm_event_t
- event_param : dm_event_t
- event_paramlen : dm_event_t
- evt_buffer : ant_evt_t
- evt_handler : ble_ias_init_t , ble_ias_s , ble_ias_c_s , ble_ias_c_init_t , ble_hts_s , ble_lls_init_t , ble_lls_s , ble_rscs_init_t , ble_hids_s , ble_cs_ctrlpt_init_t , ble_sc_ctrlpt_s , dm_application_param_t , ble_dfu_init_t , ble_bas_c_s , ble_bas_c_init_t , ble_rscs_s , ble_bps_s , ble_bondmngr_init_t , ble_conn_params_init_t , ble_ans_c_s , ble_ans_c_init_t , ble_hrs_c_s , ble_bas_init_t , ble_bas_s , ble_bps_init_t , ble_cscs_init_t , ble_cscs_s , ble_dfu_s , ble_hrs_c_init_t , ble_gls_init_t , ble_gls_s , ble_hids_init_t , ble_hrs_init_t , ble_hrs_s , ble_hts_init_t
- evt_id : ble_evt_hdr_t
- evt_len : ble_evt_hdr_t
- evt_type : ble_conn_params_evt_t , ble_hrs_evt_t , ble_gls_evt_t , ble_ias_c_evt_t , ble_bas_c_evt_t , ble_bps_evt_t , ble_bondmngr_evt_t , spi_slave_evt_t , ble_hrs_c_evt_t , ble_ias_evt_t , ble_hids_evt_t , app_uart_evt_t , ble_lls_evt_t , ble_hts_evt_t , hci_slip_evt_t , ble_sc_ctrlpt_evt_t , ble_ans_c_evt_t , ble_db_discovery_evt_t , hci_transport_evt_t , ble_cscs_evt_t , ble_bas_evt_t , ble_rscs_evt_t
- exercise_duration : ble_gls_meas_context_t
- exercise_intensity : ble_gls_meas_context_t
- exponent : sfloat_t , ble_gatts_char_pf_t , ieee_float32_t , ieee_float16_t
- extended_flags : ble_gls_meas_context_t